#!/usr/bin/env node

/**
 * Test for run.js
 * Runs with nodeunit.
 */

"use strict";

var run = require('./run'),
    fs = require('fs');

var context = {
    logger: {
        info: function () {
        },
        debug: function () {
        },
        trace: function () {
        }
    }
};

exports['Run task'] = function (test) {
    var workDirname = ('tmp/_test_work_dir' + new Date().getTime());
    run(context,
        __dirname,
        workDirname,
        function (err) {
            fs.rmdirSync(workDirname);
            test.ifError(err);
            test.done();
        });
};

